org.apache.nutch.crawl

## Class GeneratorJob.SelectorEntry

- java.lang.Object
- - org.apache.nutch.crawl.GeneratorJob.SelectorEntry

- All Implemented Interfaces:
    java.lang.Comparable<GeneratorJob.SelectorEntry>, Writable, WritableComparable<GeneratorJob.SelectorEntry>
  Enclosing class:
    GeneratorJob

      public static class GeneratorJob.SelectorEntry
      extends java.lang.Object
      implements WritableComparable<GeneratorJob.SelectorEntry>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectorEntry()`
    `SelectorEntry(java.lang.String url, float score)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(GeneratorJob.SelectorEntry se)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `void` | `readFields(java.io.DataInput in)`
    `void` | `set(java.lang.String url, float score)` Sets url with score on this writable.
    `void` | `write(java.io.DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectorEntry

          public SelectorEntry()

    - #### SelectorEntry

          public SelectorEntry(java.lang.String url,
                               float score)

  - ### Method Detail

    - #### readFields

          public void readFields(java.io.DataInput in)
                          throws java.io.IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.io.DataOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### compareTo

          public int compareTo(GeneratorJob.SelectorEntry se)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<GeneratorJob.SelectorEntry>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### set

          public void set(java.lang.String url,
                          float score)

      Sets url with score on this writable. Allows for writable reusing.
      Parameters:
        `url` -
        `score` -

Copyright © 2019 The Apache Software Foundation